Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management
Class OperationsException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.management.JMException
                  javax.management.OperationsException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  AttributeNotFoundException, InstanceAlreadyExistsException, InstanceNotFoundException, IntrospectionException, InvalidAttributeValueException, ListenerNotFoundException, MalformedObjectNameException, NotCompliantMBeanException, ServiceNotFoundException

    public class OperationsException

extends JMException

Represents exceptions thrown in the MBean server when performing operations on MBeans.

Since:
  1.5
See Also:
  Serialized Form

Constructor Summary
`OperationsException()` Default constructor.
`OperationsException(String message)` Constructor that allows a specific error message to be specified.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OperationsException

    public OperationsException()

  Default constructor.

### OperationsException

    public OperationsException(String message)

  Constructor that allows a specific error message to be specified.

  Parameters:
    `message` - the detail message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.